@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: grid;
  place-items: center;
  background-color: $color-bg;
}

.container {
  width: 150px;
  height: 150px;
  transform-origin: bottom;
  animation: wiggle 1.5s ease-in-out 0s infinite alternate forwards;

  .body {
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border-top-left-radius: 20%;
    transform: rotate(45deg);
    animation: color 6s ease-in-out 0s infinite normal forwards;
  }

  .eye {
    position: absolute;
    width: 25px;
    height: 25px;
    border-radius: 100%;
    background-color: $color-white;

    &-left {
      top: 60px;
      left: 20px;
    }

    &-right {
      top: 20px;
      left: 60px;
    }

    &-pupil {
      width: 10px;
      height: 10px;
      border-radius: 100%;
      background-color: $color-black;
      animation: pupils 3s ease-out 0s infinite normal forwards;
    }
  }

  .mouth {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 30px;
    height: 30px;
    border-radius: 100%;
    background-color: $color-black;
  }
}

@keyframes color {
  0%,
  100% {
    background-color: $color-1;
  }

  25% {
    background-color: $color-2;
  }

  50% {
    background-color: $color-3;
  }

  75% {
    background-color: $color-4;
  }
}

@keyframes wiggle {
  from {
    transform: rotate(20deg);
  }

  to {
    transform: rotate(-20deg);
  }
}

@keyframes pupils {
  0%,
  100% {
    transform: translate(0, 5px);
  }

  25% {
    transform: translate(0, 0);
  }

  50% {
    transform: translate(5px, 0);
  }

  75% {
    transform: translate(0, 0);
  }
}
